#!/bin/sh

[ "$1" = "exit" ] && exit


top_srcdir=$(pwd)
BUILD_ROOT=${top_srcdir}/build_root
rm -fR $BUILD_ROOT
mkdir -p $BUILD_ROOT
pushd $BUILD_ROOT
export CFLAGS='-DMC_USERCONF_DIR=\"mc2\"'


export LDFLAGS="-static -static-libgcc"

${top_srcdir}/configure \
    --prefix=$BUILD_ROOT/INSTALL_ROOT \
    --enable-maintainer-mode \
    --with-glib-static=yes \
    --with-screen=slang \
    --enable-charset=yes \
    --enable-nls \
    --enable-largefile \
    --enable-background \
    --with-subshell \
    --with-gpm-mouse=no \
    --enable-mclib=no \
    --with-edit \
    --with-diff-viewer \
    --with-x=no \
    --enable-vfs \
    --enable-vfs-cpio \
    --enable-vfs-tar \
    --enable-vfs-extfs \
    --enable-vfs-sfs \
    --enable-vfs-fish \
    --enable-vfs-ftp \
    --enable-vfs-undelfs=no \
    --enable-vfs-smb \
    --enable-tests \
    --enable-werror \
    $@

export LDFLAGS="-all-static -static-libgcc"

[ $? -eq 0 ] &&  make V=1 && make check && make install

popd

